package com.ruoyi.jarvis.domain.dto;

/**
 * 跟团查询页订单信息
 */
public class PromoterOrderInfoVO {

    private String shopName;
    private String shopLogo;
    private String orderSource;
    private String traceTypeStr;
    private String parentId;
    private String orderId;
    private String validCodeMsg;
    private String skuImageUrl;
    private String skuId;
    private String skuName;
    private String itemId;
    private Integer skuNum;
    private String cosPrice;
    private String orderTime;
    private String finishTime;
    /** 价保/赔付金额 */
    private String proPriceAmount;

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getShopLogo() {
        return shopLogo;
    }

    public void setShopLogo(String shopLogo) {
        this.shopLogo = shopLogo;
    }

    public String getOrderSource() {
        return orderSource;
    }

    public void setOrderSource(String orderSource) {
        this.orderSource = orderSource;
    }

    public String getTraceTypeStr() {
        return traceTypeStr;
    }

    public void setTraceTypeStr(String traceTypeStr) {
        this.traceTypeStr = traceTypeStr;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getValidCodeMsg() {
        return validCodeMsg;
    }

    public void setValidCodeMsg(String validCodeMsg) {
        this.validCodeMsg = validCodeMsg;
    }

    public String getSkuImageUrl() {
        return skuImageUrl;
    }

    public void setSkuImageUrl(String skuImageUrl) {
        this.skuImageUrl = skuImageUrl;
    }

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public Integer getSkuNum() {
        return skuNum;
    }

    public void setSkuNum(Integer skuNum) {
        this.skuNum = skuNum;
    }

    public String getCosPrice() {
        return cosPrice;
    }

    public void setCosPrice(String cosPrice) {
        this.cosPrice = cosPrice;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    public String getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(String finishTime) {
        this.finishTime = finishTime;
    }

    public String getProPriceAmount() {
        return proPriceAmount;
    }

    public void setProPriceAmount(String proPriceAmount) {
        this.proPriceAmount = proPriceAmount;
    }
}
